from onaptests.configuration.status_settings import *

# Variables to set logger information
# Possible values for logging levels in onapsdk: INFO, DEBUG , WARNING, ERROR
LOG_CONFIG = {
    "version": 1,
    "disable_existing_loggers": False,
    "formatters": {
        "default": {
            "class": "logging.Formatter",
            "format": "%(asctime)s %(levelname)s %(lineno)d:%(filename)s(%(process)d) - %(message)s"
        }
    },
    "handlers": {
        "console": {
            "level": "INFO",
            "class": "logging.StreamHandler",
            "formatter": "default"
        },
        "file": {
            "level": "DEBUG",
            "class": "logging.FileHandler",
            "formatter": "default",
            "filename": "/var/lib/xtesting/results/{{ run_type }}/pythonsdk.debug.log",
            "mode": "w"
        }
    },
    "root": {
        "level": "DEBUG",
        "handlers": ["console", "file"]
    }
}
STATUS_RESULTS_DIRECTORY = "/var/lib/xtesting/results/{{ run_type }}/"
REPORTING_FILE_PATH = "/var/lib/xtesting/results/{{ run_type }}/reporting.html"
REPORTING_FILE_DIRECTORY = "/var/lib/xtesting/results/{{ run_type }}/"
